Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSNamespaceItemList

All Known Implementing Classes:
  NSItemListImpl

public interface XSNamespaceItemList

The `XSNamesaceItemList` interface provides the abstraction of an ordered collection of `XSNamespaceItem`s, without defining or constraining how this collection is implemented. The interface may be updated or replaced.

Method Summary
`int` | `getLength()` The number of `XSNamespaceItem`s in the list.
`XSNamespaceItem` | `item(int index)` Returns the `index`th item in the collection.

Method Detail

### getLength

    public int getLength()

  The number of `XSNamespaceItem`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### item

    public XSNamespaceItem item(int index)

  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSNamespaceItem` at the `index`th position in the `XSNamespaceItemList`, or `null` if that is not a valid index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.